For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet open algo orders
        • POSTCreate algo order
        • GETGet algo orders history
        • GETGet algo order by id
        • DELCancel algo order by id
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceAlgos

Get algo order by id

GET
https://api.testnet.paradex.trade/v1/algo/orders/:algo_id
GET
/v1/algo/orders/:algo_id
$curl -X GET https://api.testnet.paradex.trade/v1/algo/orders/{algo_id} \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'
1{
2 "account": "0x4638e3041366aa71720be63e32e53e1223316c7f0d56f7aa617542ed1e7512",
3 "algo_type": "TWAP",
4 "avg_fill_price": "26000",
5 "cancel_reason": "NOT_ENOUGH_MARGIN",
6 "created_at": 1681493746016,
7 "end_at": 1681493746016,
8 "id": "123456",
9 "last_updated_at": 1681493746016,
10 "market": "BTC-USD-PERP",
11 "remaining_size": "0",
12 "side": "BUY",
13 "size": "0.05",
14 "status": "NEW"
15}

Get an algo order by id. Only return algo order in OPEN or NEW status.

Was this page helpful?
Previous

Cancel algo order by id

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

algo_idstringRequired
Algo ID

Response

OK
accountstring

Account identifier (user’s account address)

algo_typeenum
Algo type
Allowed values:
avg_fill_pricestring
Average fill price of the order
cancel_reasonstring
Reason for algo cancellation if it was closed by cancel
created_atinteger
Algo creation time
end_atinteger
Algo end time
idstring
Unique algo identifier
last_updated_atinteger

Algo last update time. No changes once status=CLOSED

marketstring
Market to which algo belongs
remaining_sizestring
Remaining size of the algo
sideenum
Algo side
Allowed values:
sizestring
Algo size
statusenum
Algo status
Allowed values:

Errors

404
Not Found Error